com.holonplatform.datastore.jpa

## Interface JpaDatastore

- All Superinterfaces:
    com.holonplatform.core.datastore.ConfigurableDatastore, com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JpaDatastoreCommodityContext>, com.holonplatform.core.datastore.DatastoreOperations<com.holonplatform.core.datastore.Datastore.OperationResult,com.holonplatform.core.property.PropertyBox,com.holonplatform.core.datastore.bulk.BulkInsert,com.holonplatform.core.datastore.bulk.BulkUpdate,com.holonplatform.core.datastore.bulk.BulkDelete,com.holonplatform.core.query.Query>, EntityManagerHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, Serializable, com.holonplatform.core.datastore.transaction.Transactional
  All Known Implementing Classes:
    DefaultJpaDatastore

      public interface JpaDatastore
      extends com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.transaction.Transactional, EntityManagerHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JpaDatastoreCommodityContext>

  JPA `Datastore`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JpaDatastore.Builder<D extends JpaDatastore>` `JpaDatastore` builder.
    `static interface` | `JpaDatastore.EntityManagerFinalizer` Interface to perform any close/finalize operation on the `EntityManager` instance used for a Datastore operation execution
    `static interface` | `JpaDatastore.EntityManagerInitializer` Interface to provide `EntityManager` instance to use when executing a Datastore operation
    `static interface` | `JpaDatastore.EntityManagerLifecycleHandler` Convenience interface which combines `JpaDatastore.EntityManagerInitializer` and `JpaDatastore.EntityManagerFinalizer`.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreOperations

      `com.holonplatform.core.datastore.DatastoreOperations.WriteOption`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigProperty<javax.persistence.FlushModeType>` | `QUERY_PARAMETER_FLUSH_MODE` A `Query` parameter to set the `FlushModeType`, using `QueryBuilder.parameter(ConfigProperty, Object)`.
    `static com.holonplatform.core.config.ConfigProperty<javax.persistence.LockModeType>` | `QUERY_PARAMETER_LOCK_MODE` A `Query` parameter to set the `LockModeType`, using `QueryBuilder.parameter(ConfigProperty, Object)`.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaDatastore.Builder<JpaDatastore>` | `builder()` Get a builder to create a `JpaDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, delete, insert, isTransactional, query, query, refresh, requireTransactional, save, update`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, addExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.core.datastore.transaction.Transactional

      `withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.context.EntityManagerHandler

      `withEntityManager, withEntityManager`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

- - ### Field Detail

    - #### QUERY_PARAMETER_LOCK_MODE

          static final com.holonplatform.core.config.ConfigProperty<javax.persistence.LockModeType> QUERY_PARAMETER_LOCK_MODE

      A `Query` parameter to set the `LockModeType`, using `QueryBuilder.parameter(ConfigProperty, Object)`.

    - #### QUERY_PARAMETER_FLUSH_MODE

          static final com.holonplatform.core.config.ConfigProperty<javax.persistence.FlushModeType> QUERY_PARAMETER_FLUSH_MODE

      A `Query` parameter to set the `FlushModeType`, using `QueryBuilder.parameter(ConfigProperty, Object)`.

  - ### Method Detail

    - #### builder

          static JpaDatastore.Builder<JpaDatastore> builder()

      Get a builder to create a `JpaDatastore` instance.
      Returns:
        Datastore builder

Copyright © 2019 The Holon Platform. All rights reserved.